package com.rv.home.rv.module.ui.main.home.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.util.List;

/*****
 * 精选活动
 */
public class SelectedActivitiesBean extends BaseBean {
    private boolean rel;
    private List<SelectedActivityItem> data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public List<SelectedActivityItem> getData() {
        return data;
    }

    public void setData(List<SelectedActivityItem> data) {
        this.data = data;
    }

    public static class SelectedActivityItem {
        private int id;
        private long crtTime;
        private long updTime;
        private String name;
        private long startTime;
        private long endTime;
        private int numLimit;
        private int hasJoinNum;
        private int status;
        private int sort;
        private String picture;
        private int type;
        private String url;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public long getUpdTime() {
            return updTime;
        }

        public void setUpdTime(long updTime) {
            this.updTime = updTime;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public long getStartTime() {
            return startTime;
        }

        public void setStartTime(long startTime) {
            this.startTime = startTime;
        }

        public long getEndTime() {
            return endTime;
        }

        public void setEndTime(long endTime) {
            this.endTime = endTime;
        }

        public int getNumLimit() {
            return numLimit;
        }

        public void setNumLimit(int numLimit) {
            this.numLimit = numLimit;
        }

        public int getHasJoinNum() {
            return hasJoinNum;
        }

        public void setHasJoinNum(int hasJoinNum) {
            this.hasJoinNum = hasJoinNum;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public int getSort() {
            return sort;
        }

        public void setSort(int sort) {
            this.sort = sort;
        }

        public String getPicture() {
            return picture;
        }

        public void setPicture(String picture) {
            this.picture = picture;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }
    }
}
